Package Base Details: gcc-git

Git Clone URL: https://aur.archlinux.org/gcc-git.git (read-only, click to copy)
Submitter: Allan
Maintainer: IslandC0der (ptr1337)
Last Packager: ptr1337
Votes: 15
Popularity: 0.000051
First Submitted: 2013-06-26 03:43 (UTC)
Last Updated: 2024-03-21 19:26 (UTC)

Pinned Comments

DAC324 commented on 2021-09-17 08:04 (UTC)

In addition to the jamespharvey20's sticky comment: The current GCC 12 versions are labelled "Experimental" for a reason. Development is ongoing, and there are still significant bugs. Hence, it is not recommended to use GCC 12 as a daily driver or on production systems.

At the moment, it is not even possible to build a working Linux kernel with GCC 12, see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=101941 .

jamespharvey20 commented on 2017-02-15 04:30 (UTC) (edited on 2017-02-15 11:01 (UTC) by jamespharvey20)

*** STICKY *** These gcc*-git packages replace core's gcc* (non-git) packages. Technically, replacing the system gcc-libs can be dangerous. The possibility of a new upstream gcc git commit breaking your system isn't zero. When you compile and install this, you're using the latest git source, so you may be the first Arch user to be using that particular commit. In practice, I haven't seen an Arch user report such a problem for many years. Just understand that if installing these packages causes your computer to eat you, don't have your loved ones blame me. Oh, and know that if things go wrong, all you *should* have to do is uninstall the git version and go back to a previously working git version or even the core version. You might be able to do this while your system is still running, or you might have to do something like boot off an Arch ISO CD.

Latest Comments

1 2 3 4 5 6 .. 13 Next › Last »

ptr1337 commented on 2023-04-22 08:09 (UTC)

@Det

I did unflag it...

Det commented on 2023-04-22 08:08 (UTC) (edited on 2023-04-22 08:08 (UTC) by Det)

bittin flagged gcc-git out-of-date on 2023-04-20 (UTC) for the following reason:

13.1 RC released

Umm what?

<deleted-account> commented on 2023-02-18 15:30 (UTC)

Got the following error:

make: Leaving directory '/tmp/makepkg/gcc-git/src/gcc-build/gcc'
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gccgo.info': No such file or directory
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gfortran.info': No such file or directory
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gnat-style.info': No such file or directory
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gnat_rm.info': No such file or directory
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gnat_ugn.info': No such file or directory
rm: cannot remove '/tmp/makepkg/gcc-git/pkg/gcc-git/usr/share/info/gdc.info': No such file or directory
==> ERROR: A failure occurred in package_gcc-git().
    Aborting...

Added -f option to line 261 f. which should fix this:

  rm -f "$pkgdir"/usr/share/man/man1/{gccgo,gfortran,lto-dump,gdc}.1
  rm -f "$pkgdir"/usr/share/info/{gccgo,gfortran,gnat-style,gnat_rm,gnat_ugn,gdc}.info

Edit:

New error occurred now, but this time I at least go to the point where a gcc-git package was created...

==> Creating package "gcc-git"...
  -> Generating .PKGINFO file...
  -> Generating .BUILDINFO file...
  -> Generating .MTREE file...
  -> Compressing package...
==> Starting package_gcc-libs-git()...
make: Entering directory '/tmp/makepkg/gcc-git/src/gcc-build/x86_64-pc-linux-gnu/libgcc'
/bin/sh /tmp/makepkg/gcc-git/src/gcc/libgcc/../mkinstalldirs /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/gcc/x86_64-pc-linux-gnu/13.0.1
mkdir -p -- /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/gcc/x86_64-pc-linux-gnu/13.0.1
/usr/bin/install -c -m 644 libgcc_eh.a /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/gcc/x86_64-pc-linux-gnu/13.0.1/
chmod 644 /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/gcc/x86_64-pc-linux-gnu/13.0.1/libgcc_eh.a
ranlib /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/gcc/x86_64-pc-linux-gnu/13.0.1/libgcc_eh.a
/bin/sh /tmp/makepkg/gcc-git/src/gcc/libgcc/../mkinstalldirs /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib; /usr/bin/install -c -m 644 ./libgcc_s.so.1 /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libgcc_s.so.1; rm -f /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libgcc_s.so; /usr/bin/install -c -m 644 ./libgcc_s.so /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libgcc_s.so
make: Leaving directory '/tmp/makepkg/gcc-git/src/gcc-build/x86_64-pc-linux-gnu/libgcc'
make: Entering directory '/tmp/makepkg/gcc-git/src/gcc-build/x86_64-pc-linux-gnu/libatomic'
Makefile:910: warning: overriding recipe for target 'all-multi'
Makefile:901: warning: ignoring old recipe for target 'all-multi'
 /usr/bin/mkdir -p '/tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib'
 /bin/sh ./libtool   --mode=install /usr/bin/install -c   libatomic.la '/tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib'
libtool: install: /usr/bin/install -c .libs/libatomic.so.1.2.0 /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libatomic.so.1.2.0
libtool: install: (cd /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib && { ln -s -f libatomic.so.1.2.0 libatomic.so.1 || { rm -f libatomic.so.1 && ln -s libatomic.so.1.2.0 libatomic.so.1; }; })
libtool: install: (cd /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib && { ln -s -f libatomic.so.1.2.0 libatomic.so || { rm -f libatomic.so && ln -s libatomic.so.1.2.0 libatomic.so; }; })
libtool: install: /usr/bin/install -c .libs/libatomic.lai /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libatomic.la
libtool: install: /usr/bin/install -c .libs/libatomic.a /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libatomic.a
libtool: install: chmod 644 /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libatomic.a
libtool: install: ranlib /tmp/makepkg/gcc-git/pkg/gcc-libs-git/usr/lib/../lib/libatomic.a
libtool: install: warning: remember to run `libtool --finish /usr/lib/../lib'
make: Leaving directory '/tmp/makepkg/gcc-git/src/gcc-build/x86_64-pc-linux-gnu/libatomic'
make: Entering directory '/tmp/makepkg/gcc-git/src/gcc-build'
make: *** x86_64-pc-linux-gnu/libgfortran: No such file or directory.  Stop.
make: Leaving directory '/tmp/makepkg/gcc-git/src/gcc-build'
==> ERROR: A failure occurred in package_gcc-libs-git().
    Aborting...

Edit 2:

The problem on the problem of the first Edit seemed to be that I should deleted the library folders of languages I don't need in my build (so a bit more than what told on the head of the PKGBUILD).

Here are parts of the diff from all the things I changed to make the build work. I hop this isn't seen as spam or something, also I'm not sure if the provided infos may help...

@@ -9,8 +9,8 @@
-    --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++,d,rust \
+    --enable-languages=c,c++,go,lto,obj-c++,rust \
@@ -112,12 +112,12 @@ build() {
-    --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++,d,rust \
+    --enable-languages=c,c++,go,lto,obj-c++,rust \

@@ -169,8 +159,8 @@ package_gcc-libs-git() {
   make -C $CHOST/libgcc DESTDIR="$pkgdir" install-shared
   rm -f "$pkgdir/$_libdir/libgcc_eh.a"

+  #libgfortran \   # Due to error #2
   for lib in libatomic \
-             libgfortran \
              libgo \
              libgomp \
              libitm \
@@ -184,7 +174,7 @@ package_gcc-libs-git() {
   make -C $CHOST/libobjc DESTDIR="$pkgdir" install-libs
   make -C $CHOST/libstdc++-v3/po DESTDIR="$pkgdir" install

-  make -C $CHOST/libphobos DESTDIR="$pkgdir" install
+  #make -C $CHOST/libphobos DESTDIR="$pkgdir" install
   rm -rf "$pkgdir"/$_libdir/include/d/
   rm -f "$pkgdir"/usr/lib/libgphobos.spec

@@ -236,7 +226,7 @@ package_gcc-git() {
   install -d "$pkgdir/usr/share/gdb/auto-load/usr/lib"
   mv "$pkgdir"/usr/lib/libstdc++.so.6.*-gdb.py \
     "$pkgdir/usr/share/gdb/auto-load/usr/lib/"
-  rm "$pkgdir"/usr/lib{,32}/libstdc++.so*
+  rm -f "$pkgdir"/usr/lib{,32}/libstdc++.so*

@@ -259,8 +249,8 @@ package_gcc-git() {
   make -C $CHOST/32/libsanitizer/asan DESTDIR="$pkgdir" install-nodist_toolexeclibHEADERS

   make -C gcc DESTDIR="$pkgdir" install-man install-info
-  rm "$pkgdir"/usr/share/man/man1/{gccgo,gfortran,lto-dump,gdc}.1
-  rm "$pkgdir"/usr/share/info/{gccgo,gfortran,gnat-style,gnat_rm,gnat_ugn,gdc}.info
+  rm -f "$pkgdir"/usr/share/man/man1/{gccgo,gfortran,lto-dump,gdc}.1
+  rm -f "$pkgdir"/usr/share/info/{gccgo,gfortran,gnat-style,gnat_rm,gnat_ugn,gdc}.info

   make -C libcpp DESTDIR="$pkgdir" install
   make -C gcc DESTDIR="$pkgdir" install-po

@@ -424,8 +332,8 @@ package_lib32-gcc-libs-git() {
   make -C $CHOST/32/libgcc DESTDIR="$pkgdir" install-shared
   rm -f "$pkgdir/$_libdir/32/libgcc_eh.a"

+  #libgfortran \
   for lib in libatomic \
-    libgfortran \
     libgo \
     libgomp \
     libitm \
@@ -436,9 +344,9 @@ package_lib32-gcc-libs-git() {
     make -C $CHOST/32/$lib DESTDIR="$pkgdir" install-toolexeclibLTLIBRARIES
   done

-  make -C $CHOST/32/libobjc DESTDIR="$pkgdir" install-libs
+  #make -C $CHOST/32/libobjc DESTDIR="$pkgdir" install-libs

-  make -C $CHOST/libphobos DESTDIR="$pkgdir" install
+  #make -C $CHOST/libphobos DESTDIR="$pkgdir" install
   rm -f "$pkgdir"/usr/lib32/libgphobos.spec

   # remove files provided by gcc-libs

micwoj92 commented on 2023-02-10 19:14 (UTC)

Thanks

ptr1337 commented on 2023-02-10 18:02 (UTC) (edited on 2023-02-10 18:55 (UTC) by ptr1337)

@micwoj92

Please watch here: https://github.com/archlinux/svntogit-packages/blob/packages/gcc/trunk/PKGBUILD#L318-L319

Its the reason i have added it. I just follow arch defaults.

edit: Sorry I have updated it. My bad, I have over looked it.

micwoj92 commented on 2023-02-10 17:16 (UTC)

I see you updated some depends/provides/conflicts in last commits, could you still do this for gcc-objc-git?

micwoj92 commented on 2022-12-31 23:20 (UTC)

gcc-objc-git should provide gcc-objc. I don't see why it provides/replaces gcc-multilib tbh

wgottwalt commented on 2022-12-15 18:46 (UTC)

@ptr1337: Could you add Modula-2 if you do the next update? It is part of the master branch now.

ptr1337 commented on 2022-09-29 21:32 (UTC)

Actually glibc needs to be patched for compiling gcc13. This change was done in the last days at gcc which adds _FloatN and _FloatNx types and breaking the compilation right now. So please be sure to patch your glibc before building this package!

Here you can find the patch:

https://github.com/CachyOS/CachyOS-PKGBUILDS/blob/master/glibc/gcc13.patch